Page MenuHomePhabricator

Encoding problems in labels (Korean, French, etc.)
Closed, ResolvedPublic

Description

L17Q9176Q24905

The language and Lexical Category value is supposed to be "한국어" and 동사 but it's "한국어" and "동사", respectively.

Quick link to lexeme: https://www.wikidata.org/wiki/Lexeme:L17

Details

Related Gerrit Patches:
mediawiki/vendor : wmf/1.32.0-wmf.6Updated php-vuejs-templating to 1.0.2
mediawiki/vendor : masterUpdated php-vuejs-templating to 1.0.2
mediawiki/extensions/WikibaseLexeme : masterRequire php-vuejs-templating 1.0.2

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added projects: Wikidata, User-revi. · View Herald TranscriptMay 23 2018, 11:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
revi moved this task from Incoming to Radar on the User-revi board.May 23 2018, 11:12 AM
revi updated the task description. (Show Details)May 23 2018, 11:15 AM
revi updated the task description. (Show Details)
revi added a comment.May 23 2018, 11:38 AM

When I click "Edit", it shows fine.

Same problem in other languages :

etc.

This seems to be a UTF-8 vs. ISO-8859-1 coding problem.

Lea_Lacroix_WMDE renamed this task from Lexeme NS shows wrong label when user interface is in Korean to Encoding problems in labels (Korean, French, etc.).May 23 2018, 12:36 PM
Lydia_Pintscher raised the priority of this task from Normal to High.May 23 2018, 1:35 PM
Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.

Another example in Hungarian:

Should display "német" and "főnév" instead.

JAnD added a subscriber: JAnD.May 23 2018, 5:48 PM
mxn added a subscriber: mxn.May 24 2018, 5:08 AM
Ltrlg added a subscriber: Ltrlg.May 24 2018, 9:30 AM
WMDE-leszek removed WMDE-leszek as the assignee of this task.May 24 2018, 12:05 PM
WMDE-leszek moved this task from To Do to Peer Review on the Wikidata-Turtles-Sprint #5 board.
abian added a subscriber: abian.May 24 2018, 4:23 PM

Change 435131 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Require php-vuejs-templating 1.0.2

https://gerrit.wikimedia.org/r/435131

Change 435156 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/vendor@master] Updated php-vuejs-templating to 1.0.2

https://gerrit.wikimedia.org/r/435156

Maxlath removed a subscriber: Maxlath.May 25 2018, 4:52 PM
DonRumata added a subscriber: DonRumata.EditedMay 29 2018, 10:29 PM


Wrong encoding for russian

Change 435131 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Require php-vuejs-templating 1.0.2

https://gerrit.wikimedia.org/r/435131

Change 435156 merged by jenkins-bot:
[mediawiki/vendor@master] Updated php-vuejs-templating to 1.0.2

https://gerrit.wikimedia.org/r/435156

Lydia_Pintscher closed this task as Resolved.May 30 2018, 1:21 PM
Lydia_Pintscher claimed this task.

Change 436486 had a related patch set uploaded (by Addshore; owner: WMDE-leszek):
[mediawiki/vendor@wmf/1.32.0-wmf.6] Updated php-vuejs-templating to 1.0.2

https://gerrit.wikimedia.org/r/436486

Change 436486 merged by jenkins-bot:
[mediawiki/vendor@wmf/1.32.0-wmf.6] Updated php-vuejs-templating to 1.0.2

https://gerrit.wikimedia.org/r/436486

Mentioned in SAL (#wikimedia-operations) [2018-05-31T13:23:03Z] <hashar@tin> Synchronized php-1.32.0-wmf.6/vendor: WikibaseLexeme: Encoding problems in labels - T195359 (duration: 03m 12s)

I purged all Lexeme entities today so the issues should no longer be seen anywhere

09:04 addshore: addshore@terbium:~$ for i in {1..2500}; do echo Lexeme:L$i; done | mwscript purgePage.php --wiki wikidatawiki
Vvjjkkii renamed this task from Encoding problems in labels (Korean, French, etc.) to ogcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lydia_Pintscher as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Lydia_Pintscher; removed: gerritbot, Aklapper.
Tacsipacsi renamed this task from ogcaaaaaaa to Encoding problems in labels (Korean, French, etc.).Jul 1 2018, 9:55 AM
Tacsipacsi closed this task as Resolved.
Tacsipacsi assigned this task to Lydia_Pintscher.
Tacsipacsi updated the task description. (Show Details)
Tacsipacsi added a subscriber: Aklapper.